
<?= $element->renderSubmenu('/2-lekce-podminky'); ?>

<h1 class="mainTitle"><?= $template->title; ?></h1>

<p>Všechny úkoly můžete odevzdat v jednom souboru. U každého úkolu napište komentář s číslem úkolu. Odevzdávejte <a href="https://drive.google.com/open?id=1nLPaWpnN5_57RbOROwg2eeObWgOlCyfC" target="_blank">sem</a>.</p>

<ol>
	<!-- 1 -->
	<li>
		<p>Co se píše na konci každého řádku? A co se píše na konci řádku za if?</p>
	</li>
	<!-- 2 -->
	<li>
		<p>Co se stane, když zapomenu napsat break v konstrukci switch?</p>
	</li>
	<!-- 3 -->
	<li>
		<p>Jaké logické oprátory známe?</p>
	</li>
	<!-- 4 -->
	<li>
		<p>Jaké klíčové slovíčko napíšu, když chci využít větev podmínky která nebyla splněna?</p>
	</li>
	<!-- 5 -->
	<li>
		<p>Do jakých uvozovek musím napsat datový typ string?</p>
	</li>
	<!-- 6 -->
	<li>
		<p>
			Doplň pravdivostní tabulku.<br>
			Jak jsme si ukázali, podmínky jsou pravda nebo lež. Pravdivostní tabulka nám pomáha určit, zda je celý výraz v ifu pravdivý nebo ne.<br>
			Více informací můžeš najít na <a href="https://cs.wikipedia.org/wiki/Tabulka_pravdivostn%C3%ADch_hodnot_z%C3%A1kladn%C3%ADch_slo%C5%BEen%C3%BDch_v%C3%BDrok%C5%AF" target="_blank">googlu</a>.
		</p>

		<p>Určitě si pamatuješ na datový typ logických hodnot. Jakou číselnou hodnotu má FALSE, a jakou TRUE? Můžeš z toho vyjít a tím zjistit, co znamená 0 a co 1 :)</p>

		<table class="w-auto border-all text-center">
			<tr>
				<td>A</td>
				<td>B</td>
				<td>A && B</td>
				<td>A || B</td>
				<td>!A</td>
			</tr>
			<tr>
				<td>0</td>
				<td>0</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>0</td>
				<td>1</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>1</td>
				<td>0</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>1</td>
				<td>1</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
		</table>
	</li>
	<!-- 7 -->
	<li>
		<p>Vytvoř kód pro hru kámen, nůžky, papír.</p>
		<p class="pb-0">Nápověda:</p>
		<ul>
			<li>vytvoř si dvě proměnné (tahHrace, tahPocitace), do kterých si vložíš jednu z možností (kámen, nůžky, papír)</li>
			<li>pomocí podmínek poté zjisti kdo vyhrál, případně zda je to remíza</li>
			<li>pravidla:
				<ul>
					<li>stejné hodnoty = remíza</li>
					<li>nůžky a papír = vyhrály nůžky</li>
					<li>papír a kámen = vyhrál papír</li>
					<li>kámen a nůžky = vyhrál kámen</li>
				</ul>
		</ul>
	</li>
	<!-- 8 -->
	<li>
		<p>Vytvoř kód pro slepou ruletu. Víme, že dostaneme číslo od 0 - 36 (budeme mít v proměnné). Na nás je určit, zda se jedná o sudé/liché číslo, a zda je černé/červené.</p>
		<p class="pb-0">Pravidla:</p>
		<p class="pb-0">Pro čísla 1 až 10 a 19 až 28 platí (včetně):</p>
		<ul>
			<li>lichá čísla jsou červená</li>
			<li>sudá jsou černá</li>
		</ul>

		<p class="pb-0">Pro čísla 11 až 18 a 29 až 36:</p>
		<ul>
			<li>lichá čísla jsou černá</li>
			<li>sudá jsou červená</li>
		</ul>


		<p>Nula není ani lichá ani sudá, ani černá ani červená.</p>
	</li>
	<!-- 9 -->
	<li>
		<p>Vytvoř kód pro zjištění přestupného roku (budeš mít v proměnné).</p>
		<p class="pb-0">Nápověda:</p>
		<ul>
			<li>letopočet je přestupný, pokud je dělitelný čtyřmi</li>
			<li>roky, které jsou dělitelné 100 jsou ovšem přestupné pouze tehdy, jsou-li zároveň dělitelné 400</li>
		</ul>
	</li>
	<!-- 10 -->
	<li>
		<p>Pomocí konstrukce switch napište kód, který mi podle názvu měsíce řekne, kolik má dnů v měsíci (únor bude mít 28).</p>
	</li>
</ol>